<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

$sql = "DELETE FROM cultura.usuariolocaislazer
         WHERE codigousuario = $codigousuario";

$result = pg_query($dbh, $sql);

if (!$result)
{
   $erro = "Erro na Atualizacao dos Locais de Lazer do Usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   if ($acaoRequerida == "atualizar")
   {
      header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
      exit;
   }
   else
   {
      header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
      exit;
   }
}

$sql = "DELETE FROM cultura.usuarioatividade
        WHERE codigousuario = $codigousuario";
        

$result = pg_query($dbh, $sql);

if (!$result)
{
   $erro = "Erro na Atualizacao das Atividades do Usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   if ($acaoRequerida == "atualizar")
   {
      header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
      exit;
	}
   else
   {
      header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
      exit;
	}
}

$sql = "DELETE FROM cultura.usuariolazer
         WHERE codigousuario = $codigousuario";

$result = pg_query($dbh, $sql);

if (!$result)
{
   $erro = "Erro na Atualizacao do Lazer do Usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   if ($acaoRequerida == "atualizar")
   {
      header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
      exit;
   }
   else
   {
      header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
      exit;
   }
}

?>
